Index: /extensions/piwishack/language/pl_PL/description.txt
===================================================================
--- /extensions/piwishack/language/pl_PL/description.txt	(revision 7633)
+++ /extensions/piwishack/language/pl_PL/description.txt	(revision 7633)
@@ -0,0 +1,1 @@
+Wyświetl sformatowaną listę linków aby zobaczyć Twoje zdjęcia na stronach www, blogach, forach.
Index: /extensions/piwishack/language/pl_PL/index.php
===================================================================
--- /extensions/piwishack/language/pl_PL/index.php	(revision 7633)
+++ /extensions/piwishack/language/pl_PL/index.php	(revision 7633)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/pl_PL/plugin.lang.php	(revision 7633)
+++ /extensions/piwishack/language/pl_PL/plugin.lang.php	(revision 7633)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['open_window_piwishack']    = 'Otwórz okno PiwiShack';
+$lang['close_window_piwishack']   = 'Zamknij okno PiwiShack';
+$lang['Partage_me']               = 'Udostepnij swoje zdjecie.';
+$lang['text_intro_thumbnail']     = 'Wyswietl miniaturki.';
+$lang['Post_on_a_website_d']      = 'Udostepnij miniaturke, \"klikalna\". Kod HTML.';
+$lang['Post_on_a_forum']          = 'Udostepnij miniaturke, \"klikalna\". Kod BBCode';
+$lang['text_intro_normal_view']   = 'Ogladanie normalnego widoku.';
+$lang['Post_on_a_website_dd']     = 'Udostepnij normalny widok, \"klikalny\". kod HTML.';
+$lang['Post_a_direct_link']       = 'Bezposredni link to Twojego pliku.';
+$lang['Export_Perso_configurated']= 'Udostepnij swoje zdjecia.';
+$lang['Partage_me']               = 'Udostepnij swoje zdjecie zgodnie z wczesniej zdefiniowanymi warunkami.';
+$lang['Perso_writer_01']          = 'Wlasne formatowanie, pola #1';
+$lang['Perso_writer_02']          = 'Wlasne formatowanie, pola #2';
+$lang['Perso_writer_03']          = 'Wlasne formatowanie, pola #3';
+$lang['Perso_writer_04']          = 'Wlasne formatowanie, pola #4';
+$lang['Perso_writer_05']          = 'Wlasne formatowanie, pola #5';
+?>