Index: extensions/Download_Multi/language/hu_HU/description.txt
===================================================================
--- extensions/Download_Multi/language/hu_HU/description.txt	(revision 7640)
+++ extensions/Download_Multi/language/hu_HU/description.txt	(revision 7640)
@@ -0,0 +1,1 @@
+Lehetővé teszi több oldalról a képek letöltését zip archívumként.
Index: extensions/Download_Multi/language/hu_HU/help/download_multi.html
===================================================================
--- extensions/Download_Multi/language/hu_HU/help/download_multi.html	(revision 7640)
+++ extensions/Download_Multi/language/hu_HU/help/download_multi.html	(revision 7640)
@@ -0,0 +1,28 @@
+<h2>Download Multi</h2>
+
+<p>Télécharger les images sur plusieurs pages</p>
+
+<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
+votre navigateur.</p>
+
+<h3>Utilisation</h3>
+
+<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
+la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
+Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
+apparait en bas de la page :
+<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
+Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
+
+<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
+Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
+cliquant sur la croix rouge.</p>
+
+<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
+Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
+Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
+apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
+vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
+les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
+cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
+supprimer les fichiers sélectionner.</p>
Index: extensions/Download_Multi/language/hu_HU/help/index.php
===================================================================
--- extensions/Download_Multi/language/hu_HU/help/index.php	(revision 7640)
+++ extensions/Download_Multi/language/hu_HU/help/index.php	(revision 7640)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date: 2006-03-15 23:44:35 +0100 (mer., 15 mars 2006) $
+// | last modifier : $Author: plg $
+// | revision      : $Revision: 1082 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Download_Multi/language/hu_HU/index.php
===================================================================
--- extensions/Download_Multi/language/hu_HU/index.php	(revision 7640)
+++ extensions/Download_Multi/language/hu_HU/index.php	(revision 7640)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date: 2006-03-15 23:44:35 +0100 (mer., 15 mars 2006) $
+// | last modifier : $Author: plg $
+// | revision      : $Revision: 1082 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Download_Multi/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/Download_Multi/language/hu_HU/plugin.lang.php	(revision 7640)
+++ extensions/Download_Multi/language/hu_HU/plugin.lang.php	(revision 7640)
@@ -0,0 +1,87 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Mod Name : Download_multi                                             |
+// | Mod Version : 0.9-1.3                                                 |
+// | Mod Orignal author: Tboris                                            |
+// | Mod Second author : Cestlodovic                                       |
+// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
+// | Mod description :                                                     |
+// | Ce module est base sur le module existant pour le telechargement,     |
+// | cette version permet le telechargement sur plusieurs pages.           |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['dl_select_all'] = 'Összes kijelölése';
+$lang['dl_start'] = 'Kosár letöltése';
+$lang['dl_preview'] = 'Kosár megtekintése';
+$lang['dl_uncheck'] = 'Összes kijelölés törlése';
+$lang['dl_select'] = 'Kijelölteket a kosárba';
+$lang['dl_title'] = 'Képek letöltése';
+$lang['dl_thumbnail'] = 'Bélyegképek letöltése';
+$lang['dl_normal'] = 'Normál képek letöltése';
+$lang['dl_high'] = 'Nagy felbontású képek letöltése';
+$lang['dl_legend_select'] = 'Képek kiválasztása';
+$lang['dl_message_cart'] = '%s kép a kosárba';
+$lang['dl_trash'] = 'Kosár ürítése';
+$lang['dl_archive'] = 'Archívum megtekintése';
+$lang['dl_choice_image'] = 'Legalább egy képet ki kell jelölni.';
+$lang['dl_dir_zip'] = 'Könyvtár létrehozása nem lehetséges';
+$lang['dl_title_erreur'] = 'Hiba';
+$lang['dl_title_telechargement'] = 'Fájlok listája';
+$lang['dl_empty_cart'] = 'Üres kosár';
+$lang['dl_bt_select'] = 'Kijelölés';
+$lang['dl_bt_unselect'] = 'Kijelölés törlése';
+$lang['dl_bt_delete'] = 'Törlés';
+$lang['dl_th_file'] = 'Fájl';
+$lang['dl_th_date'] = 'Létrehozás dátuma';
+$lang['dl_th_action'] = 'Művelet';
+$lang['dl_no_file'] = 'Nincs fájl';
+$lang['dl_prefix_file'] = 'Fájl előtag';
+$lang['dl_prefix_button'] = 'Létrehoz';
+$lang['dl_type_thumbnail'] = 'Bélyegkép';
+$lang['dl_type_normal'] = 'Normál';
+$lang['dl_type_high'] = 'Nagy felbontású';
+$lang['dl_cart'] = 'Kosár';
+$lang['dl_no_download_title'] = 'A következő képeket nem lehet letölteni nagy felbontásban';
+$lang['dl_no_download_high'] = ' nem érhető el nagy felbontásban';
+$lang['dl_no_download_http'] = ' nem érhető el letöltés';
+$lang['dl_no_file'] = 'Nincsenek letölthető fájlok.';
+
+/* ----------- Administration ------------ */
+$lang['dl_title'] = 'Download Multi';
+$lang['dl_title_config'] = 'Download Multi beállítások';
+$lang['dl_zip_active_comment'] = 'Megjegyzések aktiválása a zip fájlban. <br /><i>A free.fr nem működik</i>';
+$lang['dl_zip_comment'] = 'A megjegyzés megjelenik a zip fájlban';
+$lang['dl_group_id'] = 'Letöltésre jogosult csoportok. Több csoport kijelölése <i>ctrl</i> használatával.';
+$lang['dl_max_size'] = 'Archívum maximális mérete (bájtban)';
+$lang['dl_zip_prefix'] = 'Zip fájlok alapértelmezett előtagja';
+$lang['dl_zip_prefix_car'] = 'Az <i> alapértelmezett letölthető zip fájl neve </ i> előtag mező csak ékezetek nélküli betűket és számokat tartalmazhat.';
+$lang['dl_zip_dir_prefix'] = 'Kibontás során használandó előtag-könyvtár';
+$lang['dl_zip_dir_prefix_car'] = 'A <i>kibontáskor használandó könyvtár neve</i> mező csak ékezetek nélküli betűket és számokat tartalmazhat.';
+$lang['dl_backup_config'] = 'Download Multi konfiguráció mentése sikeres';
+$lang['dl_converter'] = 'Konverter';
+$lang['dl_zip_pattern_name'] = 'A rekord létrehozásakor az archívum nevébe beilleszthető a dátum [date] YYYYMMDD formátumba vagy generálható egy szám [rand] segítségével';
+$lang['dl_select_dl'] = 'Letöltés alapértelmezett típusa';
+
+$lang['dl_error_group_id'] = 'Ki kell jelölni a letöltésre jogosult csoportokat';
+$lang['dl_error_file_size'] = 'Meg kell határozni az archívum maximális méretét';
+$lang['dl_error_file_size_car'] = 'Az <i>archívum maximális mérete</i> mező csak számokat tartalmazhat.';
+$lang['dl_zip_pattern_name_car'] = 'Az <i>archívum neve</i> mező csak ékezetek nélküli betűket és számokat tartalmazhat (vagy [date] ill. [rand]).';
+$lang['dl_error_pattern_name'] = 'Az <i>archívum neve</i> mező nem lehet üres.';
+
+$lang['dl_title_information'] = 'Konfigurációs adatok';
+$lang['dl_class_zip'] = 'Alkalmazás : ';
+?>