Index: extensions/Autosize/js/Affiche_script.js
===================================================================
--- extensions/Autosize/js/Affiche_script.js	(revision 7642)
+++ extensions/Autosize/js/Affiche_script.js	(revision 7644)
@@ -33,18 +33,5 @@
 jQuery(document).ready(
       function (jQuery) {
-          jQuery("#theImage").css({ opacity: "0.0", filter: 'alpha(opacity:0)' });
-          jQuery(window).load(function (event) {
-              jQuery("#theImage").css({ opacity: "0.0", filter: 'alpha(opacity:0)' });
-              setTimeout('wait_Timer()', 20);
-
-              function handler(event) {
-                   
-              
-                  jQuery("#theImage").css({ opacity: event.data.opacity, filter: 'alpha(opacity:' + event.data.opacity * 100 + ')' }); 
-              }
-              jQuery(window).bind("resize", { opacity: "1" }, handler)
-
- 
-          });
+
 
 
@@ -79,14 +66,5 @@
           var Zone_Affichage = { height: 0, width: 0 };
 
-          //============================================================
-
-          var Info_the_page = jQuery("#the_page").info();
-          var Zone_Affichage = jQuery("#theImage").info();
-
-          var Bandeau = 0;
-          var Bandeau_t = Info_entete("theImage")
-          Bandeau = Bandeau_t.img_top;
-          var Bandeau_bas = 0;
-          Bandeau_bas = Info_description("theImage");
+
           //===================================================================	
 
@@ -185,13 +163,7 @@
                   var myPamoorama = this.myPamoorama;
                   //=====================================================
-
-
-
-                  //=====================================================
                   if (typeof (myPamoorama) == "undefined") {
                       return
                   }
-                  if (myPamoorama.skipInit == false)
-                      return
 
                   var h01 = typeof (myPamoorama.imageHeight);
@@ -204,5 +176,6 @@
 
                   //=============================================
-
+                  if (myPamoorama.skipInit == false)
+                      return
 
 
@@ -1034,37 +1007,29 @@
           }
 
+          jQuery("#theImage").css({ opacity: "0.0", filter: 'alpha(opacity:0)' });
+
+          var Bandeau = 0;
+          var Info_the_page = jQuery("#the_page").info();
+          var Zone_Affichage = jQuery("#theImage").info();
+          var Bandeau_t = Info_entete("theImage");
+          var Bandeau_bas = 0;
+
+          //====================================================================================
+          jQuery(window).load(function () {
+
+
+ 
+              Info_the_page = jQuery("#the_page").info();
+              Zone_Affichage = jQuery("#theImage").info();
+              Bandeau_t = Info_entete("theImage")
+              Bandeau = Bandeau_t.img_top;
+              Bandeau_bas = Info_description("theImage");
+              setTimeout('wait_Timer()', 10);
+          });
+          //====================================================================================
 
       } // function
 );
 
-
-
-      /*
-      *
-      */
-      jQuery("#pamoorama").bind(jQuery.browser.msie ? "propertychange" : "change", function (event) {
-
-          onPropertyChange(event);
-      })
-      jQuery("#pamoorama_frame").bind(jQuery.browser.msie ? "propertychange" : "change", function (event) {
-          onPropertyChange(event);
-      })
-
-      jQuery(window).load(function () {
-          //  jQuery(window).resize();
-          //  setTimeout("wait_Timer()", 500); 
-
-          jQuery("#pamoorama").resize(function () {
-
-              jQuery("#pamoorama").bind('resize', function () {
-                  jQuery("#pamoorama_outter").bind(
-                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
-                          event.stopPropagation();
-                          onPropertyChange(event);
-                      });
-              });
-          });
-
-      });
       //=============================================================
       function cl_Timer() {
@@ -1094,34 +1059,4 @@
       })
 
-
-
-
-
-      //=====================================================================
-      jQuery("#pamoorama").bind("resize", function (event) {
-          onPropertyChange(event);
-      })
-      
-      jQuery("#pamoorama").bind(
-                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
-                          onPropertyChange(event);
-                      });
-
-
-      jQuery("#pamoorama_outter").bind(
-                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
-
-                          onPropertyChange(event);
-                      });
-      jQuery("#pamoorama_footer").bind(
-                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
-
-                          onPropertyChange(event);
-                      });
-      jQuery("#pamoorama_frame").bind(
-                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
-
-                          onPropertyChange(event);
-                      });
 
       //=============================================================
@@ -1165,9 +1100,4 @@
               }
 
-
-              if (ID == "pamoorama_outter" & Property == "left" && Valeur == -2) {
-                  jQuery("#theImage").css({ filter: 'alpha(opacity:100)', opacity: 1 });
-                  jQuery("#theImage").css({ filter: 'alpha(opacity:100)', opacity: 1 });
-              }
               if (Valeur == "block") {
 
@@ -1213,28 +1143,19 @@
 
     function wait_Timer() {
-        old_w = 0
-
-        if (DEBUG == "true") {
-            info_pamoorama_outter = jQuery("#pamoorama_outter").info();
-            jQuery("#Debug1").css({
-                filter: 'alpha(opacity:50)',
-                position: "absolute",
-                border: "solid 1px green",
-                top: 400 + "px",
-                width: 400 + "px",
-                height: "auto"
-            });
-               jQuery("#Debug1").text("Debug1:info : " + info_pamoorama_outter.width +
-             " : " + info_pamoorama_outter.height
-             );
-        }
-        if (jQuery("#pamoorama").length > 0)
+        old_w = 0;
+        old_h = 0;
+
+
+        if (jQuery("#pamoorama").length > 0) {
+            var info_pamoorama_outter = jQuery("#pamoorama_outter").info();
             if (info_pamoorama_outter.height == 0) {
-
-                //      setTimeout('wait_Timer()', 300);
+                
+                jQuery("#theImage").css({ opacity: '0', filter: 'alpha(opacity:' + '0' + ')' }); 
+                setTimeout('wait_Timer()', 200);
                 return
             }
+        }
          jQuery(window).resize();
-       
+         jQuery("#theImage").css({ opacity: '1', filter: 'alpha(opacity:' +  '100' + ')' }); 
 
     }
Index: extensions/Autosize/main.inc.php
===================================================================
--- extensions/Autosize/main.inc.php	(revision 7642)
+++ extensions/Autosize/main.inc.php	(revision 7644)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.3.3
+Version: 1.3.4
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448