Index: extensions/Download_Multi/language/it_IT/plugin.lang.php
===================================================================
--- extensions/Download_Multi/language/it_IT/plugin.lang.php	(revision 7662)
+++ extensions/Download_Multi/language/it_IT/plugin.lang.php	(revision 7666)
@@ -26,36 +26,36 @@
 
 $lang['dl_select_all'] = 'Selezionare tutto';
-$lang['dl_start'] = 'Scaricare il carrello';
-$lang['dl_preview'] = 'Controllare il carrello';
+$lang['dl_start'] = 'Scaricare il cestino';
+$lang['dl_preview'] = 'Controllare il cestino';
 $lang['dl_uncheck'] = 'Deselezionare tutto';
-$lang['dl_select'] = 'Aggiungere al carrello';
+$lang['dl_select'] = 'Aggiungere al cestino';
 $lang['dl_title'] = 'Scaricare le immagini';
-$lang['dl_thumbnail'] = 'Scaricare i thumbnail';
+$lang['dl_thumbnail'] = 'Scaricare le miniature';
 $lang['dl_normal'] = 'Scaricare le immagini in grandezza normale';
 $lang['dl_high'] = 'Scaricare le immagini in alta risoluzione';
 $lang['dl_legend_select'] = 'Selezionare le immagini';
-$lang['dl_message_cart'] = 'Lei ha %s immagini';
-$lang['dl_trash'] = 'Svuotare il carrello';
+$lang['dl_message_cart'] = 'Avete %s immagini';
+$lang['dl_trash'] = 'Svuotare il cestino';
 $lang['dl_archive'] = 'Vedere gli archivi';
-$lang['dl_choice_image'] = 'Si deve scegliere almeno una immagine.';
-$lang['dl_dir_zip'] = 'Impossibile creare un elenco';
+$lang['dl_choice_image'] = 'Si deve scegliere almeno un\'immagine.';
+$lang['dl_dir_zip'] = 'Impossibile creare una directory';
 $lang['dl_title_erreur'] = 'Errore';
 $lang['dl_title_telechargement'] = 'Lista dei file';
-$lang['dl_empty_cart'] = 'Carrello vuoto';
+$lang['dl_empty_cart'] = 'Cestino vuoto';
 $lang['dl_bt_select'] = 'Selezionare';
 $lang['dl_bt_unselect'] = 'Deselezionare';
-$lang['dl_bt_delete'] = 'Eliminare';
+$lang['dl_bt_delete'] = 'Cancellare';
 $lang['dl_th_file'] = 'File';
-$lang['dl_th_date'] = 'Creare date';
+$lang['dl_th_date'] = 'Data di creazione';
 $lang['dl_th_action'] = 'Azione';
 $lang['dl_no_file'] = 'Nessun file';
 $lang['dl_prefix_file'] = 'Prefisso del file';
-$lang['dl_prefix_button'] = 'invia';
-$lang['dl_type_thumbnail'] = 'Thumbnail';
+$lang['dl_prefix_button'] = 'Esegui';
+$lang['dl_type_thumbnail'] = 'Miniature';
 $lang['dl_type_normal'] = 'Normale';
 $lang['dl_type_high'] = 'Alta definizione';
-$lang['dl_cart'] = 'Carrello';
+$lang['dl_cart'] = 'Cestino';
 $lang['dl_no_download_high'] = ' non è disponibile in alta definizione;';
-$lang['dl_no_download_http'] = ' non è disponibile per scaricare;';
+$lang['dl_no_download_http'] = ' non è disponibile al download;';
 $lang['dl_no_prefix'] = 'Il prefisso non può contenere caratteri speciali, tranne - o _';
 $lang['dl_no_file'] = 'Nessun file da scaricare.';
@@ -64,26 +64,26 @@
 $lang['dl_title'] = 'Download Multi';
 $lang['dl_title_config'] = 'Download Multi configurazione';
-$lang['dl_zip_active_comment'] = 'Attiva i commenti nel file zip. <br /><i>Non funziona su free.fr.</i>';
-$lang['dl_zip_comment'] = 'Commento da mostrare nel file zip.';
-$lang['dl_group_id'] = 'Il gruppo autorizzato a scaricare le immagini. Usate il tasto <i>ctrl</i> per selezionare più gruppi.';
-$lang['dl_max_size'] = 'Massima grandezza degli archivi (in byte)';
+$lang['dl_zip_active_comment'] = 'Attivare i commenti nel file zip. Non funziona con free.fr';
+$lang['dl_zip_comment'] = 'Commento che sarà presente nel file zip';
+$lang['dl_group_id'] = 'Gruppo autorizzato a scaricare le immagini. Usate il tasto <i>ctrl</i> per selezionare più gruppi.';
+$lang['dl_max_size'] = 'Grandezza massima per gli archivi (in byte)';
 $lang['dl_zip_prefix'] = 'Prefisso di default per i nomi dei file zip scaricati';
-$lang['dl_zip_prefix_car'] = 'Il campo del prefisso <i> nome di default del file zip scaricato </ i> può solo contenere numeri e lettere senza accenti.';
-$lang['dl_zip_dir_prefix'] = 'Prefisso da utilizzare durante la decompressione dell\'elenco.';
-$lang['dl_zip_dir_prefix_car'] = 'Il <i> prefisso da utilizzare durante la decompressione dell\'elenco</ i> può solo contenere numeri e lettere senza accenti.';
+$lang['dl_zip_prefix_car'] = 'Il campo <i>Prefisso di default del nome del file zip scaricato</i> può solo contenere numeri e lettere senza accenti';
+$lang['dl_zip_dir_prefix'] = 'Prefisso della directory da utsare durante la decompressione';
+$lang['dl_zip_dir_prefix_car'] = 'Il campo <i>Prefisso della directory da utsare durante la decompressione</i> può solo contenere numeri e lettere senza accenti';
 $lang['dl_backup_config'] = 'La configurazione di Download Multi è stata salvata';
-$lang['dl_converter'] = 'Convertire';
-$lang['dl_zip_pattern_name'] = 'Genera il nome del proprio archivio, usare [data] per inserire la data nel formato AAAAMMGG e [rand] per generare un numero casuale';
-$lang['dl_select_dl'] = 'Tipo default di download';
+$lang['dl_converter'] = 'Convertitore';
+$lang['dl_zip_pattern_name'] = 'Generazione del nome degli archivii, usare [data] per inserire la data nel formato AAAAMMGG e [rand] per generare un numero casuale';
+$lang['dl_select_dl'] = 'Tipo di download di default';
 
-$lang['dl_error_group_id'] = 'Deve indicare il gruppo autorizzato a scaricare le immagini';
-$lang['dl_error_file_size'] = 'Deve specificare la grandezza del archivio';
-$lang['dl_error_file_size_car'] = 'Il campo della grandezza massima degli <i> archivi in byte </ i> può contenere solo numeri.';
-$lang['dl_zip_pattern_name_car'] = 'Il campo <i>Generare il nome del vostro archivio</ i> può solo contenere numeri e lettere senza accenti.';
-$lang['dl_error_pattern_name'] = 'Il campo <i>Generare il nome del vostro archivio </ i> non può restare vuoto.';
+$lang['dl_error_group_id'] = 'Dovete indicare il gruppo autorizzato a scaricare le immagini';
+$lang['dl_error_file_size'] = 'Dovete specificare la grandezza degli archivi';
+$lang['dl_error_file_size_car'] = 'Il campo <i>Grandezza massima degli archivi in byte</i> può contenere solo numeri.';
+$lang['dl_zip_pattern_name_car'] = 'Il campo <i>Generare il nome del vostro archivio</i> può solo contenere numeri e lettere senza accenti.';
+$lang['dl_error_pattern_name'] = 'Il campo <i>Generare il nome del vostro archivio </i> non può essere vuoto.';
 $lang['dl_create_category'] = 'Ricreare la struttura delle categorie negli archivi generati';
 
-$lang['dl_title_information'] = 'Informazioni sulle vostre configurazioni';
-$lang['dl_class_zip'] = 'Lei usa: ';
+$lang['dl_title_information'] = 'Informazioni sulla vostra configurazione';
+$lang['dl_class_zip'] = 'Usate : ';
 
 /* ----------- Installation -------------- */