Index: extensions/Autosize/js/Affiche_script.js
===================================================================
--- extensions/Autosize/js/Affiche_script.js	(revision 7644)
+++ extensions/Autosize/js/Affiche_script.js	(revision 7669)
@@ -1,3 +1,2 @@
-
 function Toggle_bp() {
     cl_visible = !cl_visible;
@@ -19,20 +18,8 @@
     jQuery(window).resize();
 }
-//=========================================================
-/*
-window.onresize = resize;
-window.onload = load;
-
-function resize() {
-    alert("resize event detected!");
-}
-function load() {
-    alert("load event detected!");
-}
-*/
+
 jQuery(document).ready(
+
       function (jQuery) {
-
-
 
 
@@ -55,9 +42,284 @@
               marges_llgbo = (ll1.width - ll2.width) + ll2.borderwidth.left + ll2.borderwidth.right;
           }
+
+
+          //=========================================================
+
+          function wait_Timer() {
+              old_w = 0
+              jQuery(window).resize();
+              info_pamoorama_outter = jQuery("#pamoorama_outter").info();
+              if (info_pamoorama_outter.width == 0)
+                  setTimeout("wait_Timer()", 100);
+
+          }
+
+
+          //=============================================================
+          function cl_Timer() {
+              //   if (!jQuery.browser.msie) { jQuery(function () { alert(jQuery.browser.version); }); }
+              if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 8)
+                  alert(jQuery.browser.version);
+              panoramaContainer = jQuery(".panorama-container");
+              n = document.scripts[6]; //12--14affiche_script ;
+              t = n.src;
+
+              currentPosition = 0 - parseInt(jQuery(panoramaContainer).css('margin-left'));
+              if (currentPosition == NaN) return;
+
+
+              if (currentPosition > 1000)
+                  jQuery(panoramaContainer).css('margin-left', "0px")
+              setTimeout("cl_Timer()", 500);
+          }
+          //=============================================================
+          function onPropertyChange(e) {
+              var el = e.srcElement;
+              var new_class = el.className;
+              ID = el.id;
+              Prop = e.propertyName.split(".");
+              Property = Prop[1];
+              if (Property == "display") {
+                  Valeur = parseInt(el.currentStyle[Property]);
+                  if (Valeur == "block") {
+
+
+                  }
+              }
+              return;
+          }
+
+          /* ready
+          *
+          *
+          */
+          //============================================================
           /*
           *
           */
-
-
+          function Info_entete(Parent) {
+
+              var info_imageToolBar = jQuery("#imageToolBar").info();
+              if (info_imageToolBar.position == "absolute") {
+                  jQuery("#imageToolBar").css("position", "relative");
+                  jQuery("#imageToolBar").css("top", 0 + "px");
+              }
+
+              var info_theImage = jQuery("#theImage").info();
+
+              if (info_theImage.position == "relative") {
+                  //--- passage relative ==> static ===/
+                  jQuery("#theImage").css("position", "static");
+                  info_theImage = jQuery("#theImage").info();
+
+              }
+              if (info_theImage.position == "absolute") {
+                  //--- passage absolute ==> static ===/
+                  jQuery("#theImage").css("position", "static");
+                  info_theImage = jQuery("#theImage").info();
+
+              }
+
+              marge_top = Info_the_page.top +
+                                     Info_the_page.borderwidth.top +
+                                     info_theImage.borderwidth.top;
+
+              img_top = info_theImage.top + info_theImage.borderwidth.top;
+              return { marge_top: marge_top, img_top: img_top };
+
+          }
+
+          /* Récupère les informations sur la description.
+          *
+          */
+          function Info_description(Parent) {
+              //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
+              //=============================================================================
+              var info_description = { top: 0, bottom: 0, height: 0 };
+              if (theme.match(RegExp("simple", "gi"))) {
+                  jQuery("#" + Parent).css({ padding: "0px",
+                      marginLeft: "0px",
+                      marginRight: "auto",
+                      marginTop: "0px",
+                      marginBottom: "0px", position: "absolute", top: Bandeau + "px"
+                  });
+              } else {
+
+                  jQuery("#" + Parent).css({ padding: "0px",
+                      marginLeft: "auto",
+                      marginRight: "auto",
+                      marginTop: "0px",
+                      marginBottom: "0px"
+                  });
+
+
+              }
+
+
+              //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
+
+
+              if (theme.match(RegExp("luciano", "g"))) {
+                  info_img = jQuery("#" + Parent + " #theImg img").info();
+
+              } else {
+
+                  info_img = jQuery("#" + Parent + " img").info();
+              }
+
+              info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
+                  top: info_img.padding.top + info_img.borderwidth.top
+              }
+
+              info_description.top = info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
+              //=============================================================================
+              info_gbo = jQuery("#gbo").info();
+              if (info_description.top < info_gbo.bottom)
+                  info_description.top = info_gbo.bottom;
+              //=============================================================================
+              info_desc = jQuery("#" + Parent + " p:first").info();
+              if (info_desc.bottom < info_img.bottom)
+                  info_desc.bottom = info_img.bottom;
+
+              //  if (info_desc.top > info_img.bottom)
+              //     info_description.top = info_desc.top;
+
+              if (jQuery("#Panorama").length) {
+                  Type_Img = "panorama";
+                  //  cl_visible = false;
+
+              }
+              info_table = jQuery(".infoTable").info();
+
+              if (info_table.top > info_description.bottom)
+                  info_description.bottom = info_table.top;
+              //===========================================================================
+
+              info_licencetag = jQuery(".licencetag").info();
+
+
+              if (info_licencetag.bottom > 0) {
+                  jQuery(".licencetag").css("border", "solid 5px transparent");
+                  if (info_licencetag.bottom > info_description.bottom) {
+                      info_description.bottom = info_licencetag.bottom;
+                  }
+                  else
+                      info_description.bottom += info_table.margin.top + info_table.padding.top;
+
+              }
+              //=============================================================================
+              if (theme.match(RegExp("gally", "gi"))) {
+                  if (!theme.match(RegExp("lapis", "gi"))) {
+                      info_description.bottom = info_description.bottom
+                  }
+              }
+
+
+
+
+
+              if (info_description.top < 1)
+                  info_description.top = info_description.bottom;
+
+
+              if (info_description.bottom < info_description.top) {
+                  info_description.bottom = info_description.top;
+
+                  info_desc = jQuery("#" + Parent + " p:last").info();
+
+                  if (info_desc.bottom > info_img.bottom)
+                      info_description.bottom = info_desc.bottom;
+              }
+
+
+              if (theme.match(RegExp("gally", "g"))) {
+                  if (!theme.match(RegExp("lapis", "gi"))) {
+                      info_copyright = jQuery("#copyright").info();
+                      info_description.bottom += info_copyright.height;
+                  }
+              }
+
+              if (theme.match(RegExp("luciano", "g"))) { info_description.bottom -= 30 }
+
+              info_description.height = info_description.bottom - info_description.top;
+
+
+              if (DEBUG == "true") {
+
+                  /*  jQuery("#Debug").text(jQuery("#Debug").text() + user_status);    
+        
+
+                  info_description.width = "800";
+                  */
+                  jQuery("#Debug").css('display', 'block');
+                  jQuery("#Debug1").show();
+                  jQuery("#Debug2").show();
+                  Bandeau_bas = info_description;
+
+                  jQuery("#Debug").css({
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      width: "800px",
+                      border: "solid 1px green",
+                      top: Bandeau + "px"
+                  });
+                  jQuery("#Debug").text("Debug:Bandeau : " + Bandeau);
+
+                  jQuery("#Debug1").css({
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      border: "solid 1px green",
+                      top: Bandeau_bas.top + "px",
+                      width: (200) + "px",
+                      height: Bandeau_bas.height + "px"
+                  });
+                  jQuery("#Debug1").text("Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height);
+
+                  jQuery("#Debug2").css({
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      left: '50px',
+                      width: (300) + "px",
+                      border: "solid 1px green", top: Bandeau_bas.bottom + "px"
+                  });
+                  jQuery("#Debug2").text("Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom);
+
+              }
+
+              if (check_desc_v != 'checked="checked"') {
+                  info_description.height = 0;
+              }
+
+              return info_description;
+
+          }
+
+          /*
+          *
+          */
+          jQuery("#pamoorama_iner").bind('resize', function () {
+              wait_Timer();
+          })
+          //============================================================//==
+          jQuery("#pamoorama_outter").bind('resize', function () {
+              wait_Timer();
+          })
+
+
+
+          //============================================================
+          jQuery("#iGMapsIcon").bind('resize', function () {
+              jQuery().recentrage_widget();
+          })
+          jQuery("#icon_gmaps").bind('click', function () {
+              jQuery().recentrage_widget();
+          })
+
+
+
+
+
+
+          /* jQuery */
           var img_init = { height: img_height, width: img_width };  // taille initiale
           var img_defaut = { height: scaled_height, width: scaled_width };
@@ -66,12 +328,19 @@
           var Zone_Affichage = { height: 0, width: 0 };
 
-
+          //============================================================
+
+          var Info_the_page = jQuery("#the_page").info();
+          var Zone_Affichage = jQuery("#theImage").info();
+
+          var Bandeau = 0;
+          var Bandeau_t = Info_entete("theImage")
+          Bandeau = Bandeau_t.img_top;
+          var Bandeau_bas = 0;
+          Bandeau_bas = Info_description("theImage");
           //===================================================================	
-
           /*
           * window .resize
           */
           jQuery(window).resize(function (event, ui) {
-
               if (typeof (event) == 'undefined') return;
               if (!cl_visible == true) return;
@@ -80,9 +349,8 @@
 
 
+
               //==========================================================================
-              var Window_width = jQuery(window).width();
-              var Window_height = jQuery(window).height();
-              var winwidth = Window_width;
-              var winheight = Window_height;
+              var winwidth = jQuery(window).width();
+              var winheight = jQuery(window).height();
               if (old_w == winwidth && old_h == winheight) return;
 
@@ -160,24 +428,22 @@
               winwidth -= (marge_right + marge_left);
 
+
+
+
               if (Type_Img == "pamoorama") {
-                  var myPamoorama = this.myPamoorama;
-                  //=====================================================
+                  var info_pamoorama = jQuery("#pamoorama").info();
+                  var info_pamoorama_outter = jQuery("#pamoorama_outter").info();
+                  var info_pamoorama_inner = jQuery("#pamoorama_inner").info();
+                  var info_pamoorama_footer = jQuery("#pamoorama_footer").info();
+                  TheImg = jQuery("#pamoorama");
                   if (typeof (myPamoorama) == "undefined") {
+
                       return
+
                   }
-
-                  var h01 = typeof (myPamoorama.imageHeight);
-
-                  if (h01 == "undefined") {
-                      old_w = 0;
-                      old_h = 0;
-                      return;
-                  }
-
-                  //=============================================
-                  if (myPamoorama.skipInit == false)
-                      return
-
-
+                  
+
+         
+                  po = myPamoorama;
 
                   /*
@@ -307,20 +573,9 @@
                       //=========================================================
 
-                      var info_pamoorama = jQuery("#pamoorama").info();
-                      var info_pamoorama_outter = jQuery("#pamoorama_outter").info();
-                      var info_pamoorama_inner = jQuery("#pamoorama_inner").info();
-                      var info_pamoorama_footer = jQuery("#pamoorama_footer").info();
-                      TheImg = jQuery("#pamoorama");
-
-                      if (info_pamoorama_outter.height == 0) {
-                          old_h = 0;
-                          jQuery(window).resize();
-                          return
-                      }
-                      //   event = window.event ? window.event : event;
-                      ;
-                      //  jQuery("#pamoorama_outter").trigger(jQuery.browser.msie ? "propertychange" : "change", [event]);
-                      //
-                      //   jQuery("#pamoorama_outter").trigger("onPropertychange", [event]);
+
+                      if (typeof (myPamoorama.imageHeight) == "undefined") {
+                           old_w = 0;
+                          return;
+                      }
 
                       img_reelle.height = myPamoorama.imageHeight;
@@ -449,5 +704,5 @@
               var widthmin = winwidth;
 
-              if (check_auto_w == 'checked="checked"' || Type_Img == "pamoorama") {
+              if (check_auto_w == 'checked="checked"') {
                   // if (Type_Img != "pamoorama" && Type_Img != "panorama" ) {
                   //==== largeur à atteindre ===
@@ -470,8 +725,6 @@
                       if (echelle_w > echelle_max) { echelle_w = echelle_max; }
                       Image_width = parseInt(img_reelle.width * echelle_w);
-                      if (Type_Img != "pamoorama") {
-                          if (rapport > 0)
-                              Image_height = parseInt(Image_width / rapport);
-                      }
+                      if (rapport > 0)
+                          Image_height = parseInt(Image_width / rapport);
                   }
 
@@ -617,5 +870,6 @@
                   Gmap_ = gmaps.maps[0];
                   if (Gmap_.sizeMode == 'A') {
-                      jQuery("#iGMapsIcon").css({ width: Window_width * gmaps.popupAutomaticSize + "px", height: Window_height * gmaps.popupAutomaticSize + "px" });
+                      jQuery("#iGMapsIcon").css({ width: old_w * 0.8 + "px", height: old_h * 0.8 + "px" });
+
                   }
               }
@@ -657,6 +911,6 @@
                   img_height = myPamoorama.imageHeight
 
-
-                  new_width = Zone_Affichage.width;
+                  marge_left += 0;
+                  new_width = Zone_Affichage.width - marge_right - marge_left;
                   new_width -= 4;
                   jQuery("#pamoorama").css({ marginLeft: "auto",
@@ -688,5 +942,5 @@
                   jQuery("#linkPrev").css({ width: "200px", overflow: "hidden" });
                   zoom = Image_height / img_height;
-
+                 
 
 
@@ -741,10 +995,10 @@
                       if (jQuery("#navThumbPrev").length > 0) {
                           jQuery("#navThumbPrev").css({ height: info_img.height + "px",
-                              top: info_img.top
+                              top: info_img.top + 20 + "px"
                           });
                       }
                       if (jQuery("#navThumbNext").length > 0) {
                           jQuery("#navThumbNext").css({ height: info_img.height + "px",
-                              top: info_img.top
+                              top: info_img.top + 20 +"px"
                           });
                       }
@@ -754,9 +1008,6 @@
                       jQuery("#imageToolBar").css("position", "static");
                       info_imageInfoBar = jQuery("#imageInfoBar").info();
-                      info_theImage = jQuery("#theImage").info();
-                      Maxi_b = info_theImage.bottom - info_imageInfoBar.top
-                      if (info_imageInfoBar.bottom < info_theImage.bottom) {
-                          jQuery("#imageInfoBar").height(info_theImage.height);
-                          jQuery("#imageInfoBar").css("height", info_theImage.height + "px");
+                      if (info_imageInfoBar.bottom < info_img.bottom) {
+                          jQuery("#imageInfoBar").height(info_img.bottom);
                       }
 
@@ -773,214 +1024,11 @@
                   pos = jQuery("#copyright").info();
               if (pos.top > 100) jQuery("#the_page").height(pos.top);
-
               if (old_w == jQuery(window).width() && old_h == jQuery(window).height()) return;
-
-
+              jQuery(window).resize();
               return;
-          }); // fin resize
+          });
           var pos;
-          //================================================
-          function Info_entete(Parent) {
-
-              var info_imageToolBar = jQuery("#imageToolBar").info();
-              if (info_imageToolBar.position == "absolute") {
-                  jQuery("#imageToolBar").css("position", "relative");
-                  jQuery("#imageToolBar").css("top", 0 + "px");
-              }
-
-              var info_theImage = jQuery("#theImage").info();
-
-              if (info_theImage.position == "relative") {
-                  //--- passage relative ==> static ===/
-                  jQuery("#theImage").css("position", "static");
-                  info_theImage = jQuery("#theImage").info();
-
-              }
-              if (info_theImage.position == "absolute") {
-                  //--- passage absolute ==> static ===/
-                  jQuery("#theImage").css("position", "static");
-                  info_theImage = jQuery("#theImage").info();
-
-              }
-
-              marge_top = Info_the_page.top +
-                                     Info_the_page.borderwidth.top +
-                                     info_theImage.borderwidth.top;
-
-              img_top = info_theImage.top + info_theImage.borderwidth.top;
-              return { marge_top: marge_top, img_top: img_top };
-
-          }
-
-          /* Récupère les informations sur la description.
-          *
-          */
-          function Info_description(Parent) {
-              //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
-              //=============================================================================
-              var info_description = { top: 0, bottom: 0, height: 0 };
-              if (theme.match(RegExp("simple", "gi"))) {
-                  jQuery("#" + Parent).css({ padding: "0px",
-                      marginLeft: "0px",
-                      marginRight: "auto",
-                      marginTop: "0px",
-                      marginBottom: "0px", position: "absolute", top: Bandeau + "px"
-                  });
-              } else {
-
-                  jQuery("#" + Parent).css({ padding: "0px",
-                      marginLeft: "auto",
-                      marginRight: "auto",
-                      marginTop: "0px",
-                      marginBottom: "0px"
-                  });
-
-
-              }
-
-
-              //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
-
-
-              if (theme.match(RegExp("luciano", "g"))) {
-                  info_img = jQuery("#" + Parent + " #theImg img").info();
-
-              } else {
-
-                  info_img = jQuery("#" + Parent + " img").info();
-              }
-
-              info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
-                  top: info_img.padding.top + info_img.borderwidth.top
-              }
-
-              info_description.top = info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
-              //=============================================================================
-              info_gbo = jQuery("#gbo").info();
-              if (info_description.top < info_gbo.bottom)
-                  info_description.top = info_gbo.bottom;
-              //=============================================================================
-              info_desc = jQuery("#" + Parent + " p:first").info();
-              if (info_desc.bottom < info_img.bottom)
-                  info_desc.bottom = info_img.bottom;
-
-              //  if (info_desc.top > info_img.bottom)
-              //     info_description.top = info_desc.top;
-
-              if (jQuery("#Panorama").length) {
-                  Type_Img = "panorama";
-                  //  cl_visible = false;
-
-              }
-              info_table = jQuery(".infoTable").info();
-
-              if (info_table.top > info_description.bottom)
-                  info_description.bottom = info_table.top;
-              //===========================================================================
-
-              info_licencetag = jQuery(".licencetag").info();
-
-
-              if (info_licencetag.bottom > 0) {
-                  jQuery(".licencetag").css("border", "solid 5px transparent");
-                  if (info_licencetag.bottom > info_description.bottom) {
-                      info_description.bottom = info_licencetag.bottom;
-                  }
-                  else
-                      info_description.bottom += info_table.margin.top + info_table.padding.top;
-
-              }
-              //=============================================================================
-              if (theme.match(RegExp("gally", "gi"))) {
-                  if (!theme.match(RegExp("lapis", "gi"))) {
-                      info_description.bottom = info_description.bottom
-                  }
-              }
-
-
-
-
-
-              if (info_description.top < 1)
-                  info_description.top = info_description.bottom;
-
-
-              if (info_description.bottom < info_description.top) {
-                  info_description.bottom = info_description.top;
-
-                  info_desc = jQuery("#" + Parent + " p:last").info();
-
-                  if (info_desc.bottom > info_img.bottom)
-                      info_description.bottom = info_desc.bottom;
-              }
-
-
-              if (theme.match(RegExp("gally", "g"))) {
-                  if (!theme.match(RegExp("lapis", "gi"))) {
-                      info_copyright = jQuery("#copyright").info();
-                      info_description.bottom += info_copyright.height;
-                  }
-              }
-
-              if (theme.match(RegExp("luciano", "g"))) { info_description.bottom -= 30 }
-
-              info_description.height = info_description.bottom - info_description.top;
-
-
-              if (DEBUG == "true") {
-
-                  /*  jQuery("#Debug").text(jQuery("#Debug").text() + user_status);    
-        
-
-                  info_description.width = "800";
-                  */
-                  jQuery("#Debug").css('display', 'block');
-                  jQuery("#Debug1").show();
-                  jQuery("#Debug2").show();
-                  Bandeau_bas = info_description;
-
-                  jQuery("#Debug").css({
-                      opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      width: "800px",
-                      border: "solid 1px green",
-                      top: Bandeau + "px"
-                  });
-                  jQuery("#Debug").text("Debug:Bandeau : " + Bandeau);
-
-                  jQuery("#Debug1").css({ opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      border: "solid 1px green",
-                      top: Bandeau_bas.top + "px",
-                      width: (200) + "px",
-                      height: Bandeau_bas.height + "px"
-                  });
-
-                  //   jQuery("#Debug1").text(jQuery("#Debug1").text()+"Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height);
-
-                  jQuery("#Debug2").css({ opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      left: '50px',
-                      width: (300) + "px",
-                      border: "solid 1px green", top: Bandeau_bas.bottom + "px"
-                  });
-                  jQuery("#Debug2").text("Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom);
-
-              }
-
-              if (check_desc_v != 'checked="checked"') {
-                  info_description.height = 0;
-              }
-
-              return info_description;
-
-          }
-          //==================================================================================
-
-          //======== jQuery(window).resize();===========================================================	  
-
+          //===================================================================	  
+          jQuery(window).resize();
           /*
           * recherche la plus grande image (hauteur ou largeur)
@@ -1007,108 +1055,10 @@
           }
 
-          jQuery("#theImage").css({ opacity: "0.0", filter: 'alpha(opacity:0)' });
-
-          var Bandeau = 0;
-          var Info_the_page = jQuery("#the_page").info();
-          var Zone_Affichage = jQuery("#theImage").info();
-          var Bandeau_t = Info_entete("theImage");
-          var Bandeau_bas = 0;
-
-          //====================================================================================
-          jQuery(window).load(function () {
-
-
- 
-              Info_the_page = jQuery("#the_page").info();
-              Zone_Affichage = jQuery("#theImage").info();
-              Bandeau_t = Info_entete("theImage")
-              Bandeau = Bandeau_t.img_top;
-              Bandeau_bas = Info_description("theImage");
-              setTimeout('wait_Timer()', 10);
-          });
-          //====================================================================================
 
       } // function
-);
-
-      //=============================================================
-      function cl_Timer() {
-          //   if (!jQuery.browser.msie) { jQuery(function () { alert(jQuery.browser.version); }); }
-          if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 8)
-              alert(jQuery.browser.version);
-          panoramaContainer = jQuery(".panorama-container");
-          n = document.scripts[6]; //12--14affiche_script ;
-          t = n.src;
-
-          currentPosition = 0 - parseInt(jQuery(panoramaContainer).css('margin-left'));
-          if (currentPosition == NaN) return;
-
-
-          if (currentPosition > 1000)
-              jQuery(panoramaContainer).css('margin-left', "0px")
-          setTimeout("cl_Timer()", 500);
-      }
-
-
-      //============================================================
-      jQuery("#iGMapsIcon").bind('resize', function () {
-          jQuery().recentrage_widget();
-      })
-      jQuery("#icon_gmaps").bind('click', function () {
-          jQuery().recentrage_widget();
-      })
-
-
-      //=============================================================
-      //frame.injectInside
-      function onPropertyChange(e) {
-
-          var el = e.srcElement;
-          if (e.srcElement == null) return
-          ID = el.id;
-          if (jQuery.browser.msie)
-              PropertyName = window.event.propertyName;
-          else
-              PropertyName = window.evt.propertyName;
-
-          if (!PropertyName) return;
-          Prop = PropertyName.split(".");
-
-          Valeur = "";
-          Property = Prop[1];
-          if (typeof (Property) != "undefined") {
-              Valeur = parseInt(el.currentStyle[Property]);
-          } else {
-              Property = Prop[0];
-          }
-          if (DEBUG == "true") {
-
-              if (typeof (message) == "undefined") message = jQuery("#Debug1").text();
-
-              jQuery("#Debug1").css({
-                  filter: 'alpha(opacity:60)',
-                  opacity: 0.8,
-                  position: "absolute",
-                  border: "solid 1px green",
-                  top: 100 + "px",
-                  width: "auto",
-                  height: 400 + "px"
-              });
-              if (ID != "pamoorama") {
-                  message += "onPropertyChange : " + ID + " : " + Property + " : " + Valeur + "\n";
-                  jQuery("#Debug1").text(message);
-              }
-
-              if (Valeur == "block") {
-
-
-              }
-          }
-          return;
-      } 
-      //====================================================================                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           // ready
-        /*
-        *
-        */
+);                                                                                                                                                                                                                                                                                                                                                                                                                                                          // ready
+    /*
+*
+*/
     jQuery.extend(jQuery.expr[':'], {
         // Nom du sélecteur personnalisé
@@ -1129,5 +1079,5 @@
             jQuery('html,body').stop().scrollTop(0);
             jQuery('html,body').stop().scrollLeft(0);
-            jQuery(".ui-widget-overlay").css({opacity:"0.75",filter: 'alpha(opacity:65)'});
+            jQuery(".ui-widget-overlay").css("opacity", "0.75");
 
             l1 = (jQuery(window).width() - (jQuery(".gmapsPopup").width()))/2;
@@ -1137,27 +1087,49 @@
             jQuery(".gmapsPopup").css("top", h1 + "px");
 
+        },
+        //-------------------------------------------------------
+        absolutize: function (element) {
+            element = jQuery(element).get(0);
+            if (element.getStyle('position') == 'absolute') return;
+            // Position.prepare(); // To be done manually by Scripty when it needs it.
+
+            var offsets = element.positionedOffset();
+            var top = offsets[1];
+            var left = offsets[0];
+            var width = element.clientWidth;
+            var height = element.clientHeight;
+
+            element._originalLeft = left - parseFloat(element.style.left || 0);
+            element._originalTop = top - parseFloat(element.style.top || 0);
+            element._originalWidth = element.style.width;
+            element._originalHeight = element.style.height;
+
+            element.style.position = 'absolute';
+            element.style.top = top + 'px';
+            element.style.left = left + 'px';
+            element.style.width = width + 'px';
+            element.style.height = height + 'px';
+            return element;
+        },
+
+        relativize: function (element) {
+            element = jQuery(element).get(0); ;
+            if (jQuery(element).css('position') == 'relative') return;
+            // Position.prepare(); // To be done manually by Scripty when it needs it.
+            element._originalLeft = parseFloat(element.style.left || 0);
+            element._originalTop = parseFloat(element.style.top || 0);
+            element._originalWidth = element.style.width;
+            element._originalHeight = element.style.height;
+
+            element.style.position = 'relative';
+            var top = parseFloat(element.style.top || 0) - (element._originalTop || 0);
+            var left = parseFloat(element.style.left || 0) - (element._originalLeft || 0);
+
+            element.style.top = top + 'px';
+            element.style.left = left + 'px';
+            //  element.style.height = element._originalHeight;
+            // element.style.width  = element._originalWidth;
+            return element;
         }
         //=========================================================
     });          // fin extend
-
-
-    function wait_Timer() {
-        old_w = 0;
-        old_h = 0;
-
-
-        if (jQuery("#pamoorama").length > 0) {
-            var info_pamoorama_outter = jQuery("#pamoorama_outter").info();
-            if (info_pamoorama_outter.height == 0) {
-                
-                jQuery("#theImage").css({ opacity: '0', filter: 'alpha(opacity:' + '0' + ')' }); 
-                setTimeout('wait_Timer()', 200);
-                return
-            }
-        }
-         jQuery(window).resize();
-         jQuery("#theImage").css({ opacity: '1', filter: 'alpha(opacity:' +  '100' + ')' }); 
-
-    }
-
-