Index: /extensions/ExtendedDescription/language/it_IT/help.html
===================================================================
--- /extensions/ExtendedDescription/language/it_IT/help.html	(revision 7687)
+++ /extensions/ExtendedDescription/language/it_IT/help.html	(revision 7688)
@@ -1,7 +1,8 @@
 <h2>Extended Description</h2>
 
-<h3>Descrizione multilingua</h3>
+<h3>Descrizione multilingue</h3>
 
-<p>Le descrizioni multilingua si fanno tra gli elementi [lang=xx] e [/lang], dove xx è il codice della lingua (per esempio fr, en, es, it, ...) Esistono anche 2 elementi speciali: [lang=default] e [lang=all]</p>
+<p>Le descrizioni multilingue si fanno tra gli elementi [lang=xx] e [/lang], dove xx è il codice della lingua (per esempio fr, en, es, it, ...)
+Esistono anche 2 elementi speciali: [lang=default] e [lang=all]</p>
 
 <ul>
@@ -17,5 +18,5 @@
 Se [lang=default] non esiste, tutto ciò che si trova al difuori degli elementi per la lingua sarà considerato come descrizione di default.</p>
 
-<p><u>Elelmento <i>all</i></u>: Tutto ciò che si trova tra [lang=all] e [/lang] sarà incluso nella descrizzione, qualsiasi sia la lingua dell'utente.
+<p><u>Tag <i>all</i></u>: Tutto ciò che si trova tra [lang=all] e [/lang] sarà incluso nella descrizzione, qualsiasi sia la lingua dell'utente.
 Ciò è molto pratico per includere del codice html o javascript in una descrizione.</p>
 
@@ -27,45 +28,50 @@
 o due descrizioni differenti sulla pagina della categoria.</p>
 
-<p>L'elemento &lt;!--more--&gt; permette d'aggiungere del testo alla descrizione ridotta.<br>
-L'elemento &lt;!--complete--&gt; permette d'avere 2 descrizioni distinte.<br>
-L'elemento &lt;!--up-down--&gt; permette d'avere una descrizione alta ed una bassa.</p>
+<p>Il tag &lt;!--more--&gt; permette d'aggiungere del testo alla descrizione ridotta.<br>
+Il tag &lt;!--complete--&gt; permette d'avere 2 descrizioni distinte.<br>
+Il tag &lt;!--up-down--&gt; permette d'avere una descrizione alta ed una bassa.</p>
 
 <ul>
-  <li><b>Elelmento &lt;!--more--&gt;</b></li>
+  <li><b>Tag &lt;!--more--&gt;</b></li>
 </ul>
 <code>descrizione ridotta &lt;!--more--&gt; descrizione estesa</code>
-<p>Solo da descrizione ridotta apparirà per la presentazione della categoria. Sulla categoria, la descrizione sarà quella ridotta + quella dettagliat.</p>
+<p>Solo da descrizione ridotta apparirà per la presentazione della categoria.
+Sulla categoria, la descrizione sarà quella ridotta + quella dettagliat.</p>
 
 <ul>
-  <li><b>Elelmento &lt;!--complete--&gt;</b></li>
+  <li><b>Tag &lt;!--complete--&gt;</b></li>
 </ul>
 <code>descrizione ridotta &lt;!--complete--&gt; descrizione estesa</code>
-<p>Solo da descrizione ridotta apparirà per la presentazione della categoria. Invece, sulla categoria, la descrizione sarà quella estesa unicamente, dunque 2 descrizioni differenti.</p>
+<p>Solo da descrizione ridotta apparirà per la presentazione della categoria.
+Invece, sulla categoria, la descrizione sarà quella estesa unicamente, dunque 2 descrizioni differenti.</p>
 
 <ul>
-  <li><b>Elelmento &lt;!--up-down--&gt;</b></li>
+  <li><b>Tag &lt;!--up-down--&gt;</b></li>
 </ul>
 <code>descrizione alta &lt;!--up-down--&gt; descrizione bassa</code>
-<p>Solo da descrizione alta apparirà per la presentazione della categoria. Sulla categoria, la descrizione alta sarà visualizzata al disopra delle miniature, invece la descrizione bassa sarà visualizzata al disotto (li dove appare di solito la descrizione).</p>
+<p>Solo da descrizione alta apparirà per la presentazione della categoria.
+Sulla categoria, la descrizione alta sarà visualizzata al disopra delle miniature, invece la descrizione bassa sarà visualizzata al disotto (li dove appare di solito la descrizione).</p>
+
 
 <h3>Inserire una categoria o un'immagine</h3>
 
 <ul>
-  <li><b>Elelmento [cat=xx]</b></li>
+  <li><b>Tag [cat=xx]</b></li>
 </ul>
-<p>Quest'elelmento permette d'inserire una categoria nella descrizione, con xx il numero della categoria</p>
+<p>Questo tag permette d'inserire una categoria nella descrizione, con xx il numero della categoria</p>
 
 <ul>
-  <li><b>Elelmento [img=xx1 xx2 xx3 xxN;yyyy;name]</b></li>
+  <li><b>Tag [img=xx1 xx2 xx3 xxN;yyyy;name]</b></li>
 </ul>
-<p>Quest'elelmento permette d'inserire una o più miniature nella descrizione, con :<br><br>
+<p>Questo tag permette d'inserire una o più miniature nella descrizione, con :<br><br>
 - xx il numero dell'immagine ; È possibile pecisare il numero della categoria madre dopo il numero : <code>xx.ccc</code>.<br/>
 <br>
 - yyyy (facoltativo) prende sia il valore <i>left</i>, sia il valore <i>right</i> e permette di posizionare la miniatura dell'immagine sulla destra o sulla sinistra.
+<br/>
 - Nome (facoltativo): può assumere qualsiasi valore tra {nome, il nome del titolo}. Se è taggata, con il <i>nome</ i>, il nome della foto è mostrata sotto la miniatura, con il <i> titolo del nome </i> il markup dell'immagine &lt;title&gt; è riempito con il nome.</P>
 
 <h3>Nascondere una categoria</h3>
 
-<p>Si mette l'elelmento <b>&lt;!--hidden--&gt;</b> nel nome della categoria :<br>
+<p>Si mette il tag <b>&lt;!--hidden--&gt;</b> nel nome della categoria :<br>
 <br>
 - La categoria non viene più visualizzata sulla pagina della categoria parente<br>
@@ -74,5 +80,5 @@
 <h3>Nascondere una categoria nel menù</h3>
 
-<p>Si mette l'elelmento <b>&lt;!--mb-hidden--&gt;</b> nel nome della categoria :<br>
+<p>Si mette il tag <b>&lt;!--mb-hidden--&gt;</b> nel nome della categoria :<br>
 <br>
 - La categoria non viene più visualizzata nel menù delle categorie<br>
@@ -81,5 +87,5 @@
 <h3>Nascondere un'immagine</h3>
 
-<p>Si mette l'elelmento <b>&lt;!--hidden--&gt;</b> nel nome dell'immagine :<br>
+<p>Si mette il tag <b>&lt;!--hidden--&gt;</b> nel nome dell'immagine :<br>
 <br>
 - L'immagine non viene più visualizzata sulla pagina delle miniature<br>
Index: /extensions/ExtendedDescription/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/it_IT/plugin.lang.php	(revision 7687)
+++ /extensions/ExtendedDescription/language/it_IT/plugin.lang.php	(revision 7688)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'Usare gli elementi di Extended Description ...';
+$lang['ExtendedDesc_help'] = 'Usare i tag di Extended Description ...';
 
 ?>