Index: /extensions/piwishack/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/de_DE/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/de_DE/plugin.lang.php	(revision 7747)
@@ -19,19 +19,18 @@
 // +-----------------------------------------------------------------------+
 
-$lang['open_window_piwishack'] 			= 'Öffnen Sie das Fenster PiwiShack';
-$lang['close_window_piwishack'] 		= 'Fenster schließen PiwiShack';
-$lang['Partage_me'] 					= 'Sagen Sie Ihre Bild.';
-$lang['text_intro_thumbnail'] 			= 'Zeigt das Bild.';
-$lang['Post_on_a_website_d'] 			= 'Geben Sie das Vorschaubild (anklickbar) Seiten. HTML-Tags.';
-$lang['Post_on_a_forum'] 				= 'Geben Sie das Vorschaubild (anklickbar) am Forum. BBcode tags.';
-$lang['text_intro_normal_view'] 		= 'Anzeigen der normalen Ansicht';
-$lang['Post_on_a_website_dd'] 			= 'Senden der normalen Ansicht (anklickbar) Seiten. HTML-Tags.';
-$lang['Post_a_direct_link'] 			= 'direkte Links zu Ihrer Datei.';
-$lang['Export_Perso_configurated'] 		= 'Sagen Sie Ihre Bild.';
-$lang['Partage_me'] 					= 'Geben Sie Ihre Fotos nach vorher festgelegten Bedingungen.';
-$lang['Perso_writer_01'] 				= 'benutzerdefinierte Formatierungen, Feldern #1';
-$lang['Perso_writer_02'] 				= 'benutzerdefinierte Formatierungen, Feldern #2';
-$lang['Perso_writer_03'] 				= 'benutzerdefinierte Formatierungen, Feldern #3';
-$lang['Perso_writer_04'] 				= 'benutzerdefinierte Formatierungen, Feldern #4';
-$lang['Perso_writer_05'] 				= 'benutzerdefinierte Formatierungen, Feldern #5';
+$lang['open_window_piwishack'] 		= 'Öffnen Sie das Fenster PiwiShack';
+$lang['close_window_piwishack'] 	= 'Fenster schließen PiwiShack';
+$lang['Partage_me'] 				= 'Sagen Sie Ihre Bild.';
+$lang['text_intro_thumbnail'] 		= 'Zeigt das Bild.';
+$lang['Post_on_a_website_d'] 		= 'Geben Sie das Vorschaubild (anklickbar) Seiten. HTML-Tags.';
+$lang['Post_on_a_forum'] 			= 'Geben Sie das Vorschaubild (anklickbar) am Forum. BBcode tags.';
+$lang['text_intro_normal_view'] 	= 'Anzeigen der normalen Ansicht';
+$lang['Post_on_a_website_dd'] 		= 'Senden der normalen Ansicht (anklickbar) Seiten. HTML-Tags.';
+$lang['Post_a_direct_link'] 		= 'direkte Links zu Ihrer Datei.';
+$lang['Export_Perso_configurated'] 	= 'Geben Sie Ihre Fotos nach vorher festgelegten Bedingungen.';
+$lang['Perso_writer_01'] 			= 'benutzerdefinierte Formatierungen, Feldern #1';
+$lang['Perso_writer_02'] 			= 'benutzerdefinierte Formatierungen, Feldern #2';
+$lang['Perso_writer_03'] 			= 'benutzerdefinierte Formatierungen, Feldern #3';
+$lang['Perso_writer_04'] 			= 'benutzerdefinierte Formatierungen, Feldern #4';
+$lang['Perso_writer_05'] 			= 'benutzerdefinierte Formatierungen, Feldern #5';
 ?>
Index: /extensions/piwishack/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 7747)
@@ -28,6 +28,5 @@
 $lang['Post_on_a_website_dd'] 		= 'Share the normal view (clickable) sites. HTML tags.';
 $lang['Post_a_direct_link'] 		= 'Direct link to your file.';
-$lang['Export_Perso_configurated'] 	= 'Share your images.';
-$lang['Partage_me'] 				= 'Share your photo according to pre-defined conditions.';
+$lang['Export_Perso_configurated'] 	= 'Share your photo according to pre-defined conditions.';
 $lang['Perso_writer_01'] 			= 'Custom formatting, fields #1';
 $lang['Perso_writer_02'] 			= 'Custom formatting, fields #2';
Index: /extensions/piwishack/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/es_ES/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/es_ES/plugin.lang.php	(revision 7747)
@@ -28,6 +28,5 @@
 $lang['Post_on_a_website_dd'] 		= 'Compartir la vista normal (Clicable) sobre sitios. Balizas.';
 $lang['Post_a_direct_link'] 		= 'Enlaces directo hacia su fichero.';
-$lang['Export_Perso_configurated'] 	= 'Compartir su imagen.';
-$lang['Partage_me'] 				= 'Compartir su foto según condiciones predefinidas.';
+$lang['Export_Perso_configurated'] 	= 'Compartir su foto según condiciones predefinidas.';
 $lang['Perso_writer_01'] 			= 'Formateado personalizado, campos #1';
 $lang['Perso_writer_02'] 			= 'Formateado personalizado, campos #2';
Index: /extensions/piwishack/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 7747)
@@ -28,6 +28,5 @@
 $lang['Post_on_a_website_dd'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
 $lang['Post_a_direct_link'] 		= 'Liens directe vers votre fichier.';
-$lang['Export_Perso_configurated'] 	= 'Partager votre image.';
-$lang['Partage_me'] 				= 'Partager votre photo selon des conditions pré-définies.';
+$lang['Export_Perso_configurated'] 	= 'Partager votre photo selon des conditions pré-définies.';
 $lang['Perso_writer_01'] 			= 'Formatage personnalisé, champs #1';
 $lang['Perso_writer_02'] 			= 'Formatage personnalisé, champs #2';
Index: /extensions/piwishack/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/hu_HU/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/hu_HU/plugin.lang.php	(revision 7747)
@@ -28,6 +28,5 @@
 $lang['Post_on_a_website_dd'] 		= 'Normál kép megosztása (kattintható) webhelyen. HTML kód.';
 $lang['Post_a_direct_link'] 		= 'Közvetlen link a fájlhoz.';
-$lang['Export_Perso_configurated'] = 'Egyéni megosztások';
-$lang['Partage_me'] 				= 'Kép megosztása egyedi feltételekkel.';
+$lang['Export_Perso_configurated'] 	= 'Kép megosztása egyedi feltételekkel.';
 $lang['Perso_writer_01'] 			= 'Egyéni formázás, mező #1';
 $lang['Perso_writer_02'] 			= 'Egyéni formázás, mező #2';
Index: /extensions/piwishack/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/it_IT/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/it_IT/plugin.lang.php	(revision 7747)
@@ -28,6 +28,5 @@
 $lang['Post_on_a_website_dd'] 		= 'Condividere la vista normale (cliccabile) su dei siti. Tag HTML.';
 $lang['Post_a_direct_link'] 		= 'Link diretto verso il vostro file.';
-$lang['Export_Perso_configurated'] 	= 'Condividere la vostra immagine.';
-$lang['Partage_me'] 				= 'Condividere la vostra foto a seconda delle condizioni pre-definite.';
+$lang['Export_Perso_configurated'] 	= 'Condividere la vostra foto a seconda delle condizioni pre-definite.';
 $lang['Perso_writer_01'] 			= 'Formattaggio personalizzato, campo #1';
 $lang['Perso_writer_02'] 			= 'Formattaggio personalizzato, campo #2';
Index: /extensions/piwishack/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/pl_PL/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/pl_PL/plugin.lang.php	(revision 7747)
@@ -19,19 +19,18 @@
 // +-----------------------------------------------------------------------+
 
-$lang['open_window_piwishack']         = 'Otwórz okno PiwiShack';
-$lang['close_window_piwishack']     = 'Zamknij okno PiwiShack';
-$lang['Partage_me']                 = 'Udostępnij swoje zdjęcie.';
-$lang['text_intro_thumbnail']         = 'Wyświetl miniaturki.';
-$lang['Post_on_a_website_d']         = 'Udostępnij miniaturkę, \"klikalną\". Kod HTML.';
-$lang['Post_on_a_forum']             = 'Udostępnij miniaturkę, \"klikalną\". Kod BBCode';
-$lang['text_intro_normal_view']     = 'Oglądanie normalnego widoku.';
-$lang['Post_on_a_website_dd']         = 'Udostępnij normalny widok, \"klikalny\". kod HTML.';
-$lang['Post_a_direct_link']         = 'Bezpośredni link to Twojego pliku.';
-$lang['Export_Perso_configurated']     = 'Udostępnij swoje zdjęcia.';
-$lang['Partage_me']                 = 'Udostępnij swoje zdjęcie zgodnie z wcześniej zdefiniowanymi warunkami.';
-$lang['Perso_writer_01']             = 'Własne formatowanie, pola #1';
-$lang['Perso_writer_02']             = 'Własne formatowanie, pola #2';
-$lang['Perso_writer_03']             = 'Własne formatowanie, pola #3';
-$lang['Perso_writer_04']             = 'Własne formatowanie, pola #4';
-$lang['Perso_writer_05']             = 'Własne formatowanie, pola #5';
+$lang['open_window_piwishack']		= 'Otwórz okno PiwiShack';
+$lang['close_window_piwishack']		= 'Zamknij okno PiwiShack';
+$lang['Partage_me']					= 'Udostępnij swoje zdjęcie.';
+$lang['text_intro_thumbnail']		= 'Wyświetl miniaturki.';
+$lang['Post_on_a_website_d']		= 'Udostępnij miniaturkę, \"klikalną\". Kod HTML.';
+$lang['Post_on_a_forum']			= 'Udostępnij miniaturkę, \"klikalną\". Kod BBCode';
+$lang['text_intro_normal_view']		= 'Oglądanie normalnego widoku.';
+$lang['Post_on_a_website_dd']		= 'Udostępnij normalny widok, \"klikalny\". kod HTML.';
+$lang['Post_a_direct_link']			= 'Bezpośredni link to Twojego pliku.';
+$lang['Export_Perso_configurated']	= 'Udostępnij swoje zdjęcie zgodnie z wcześniej zdefiniowanymi warunkami.';
+$lang['Perso_writer_01']			= 'Własne formatowanie, pola #1';
+$lang['Perso_writer_02']			= 'Własne formatowanie, pola #2';
+$lang['Perso_writer_03']			= 'Własne formatowanie, pola #3';
+$lang['Perso_writer_04']			= 'Własne formatowanie, pola #4';
+$lang['Perso_writer_05']			= 'Własne formatowanie, pola #5';
 ?>
Index: /extensions/piwishack/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 7747)
@@ -19,6 +19,4 @@
 // +-----------------------------------------------------------------------+
 
-// Thanks to Andrew
-
 $lang['open_window_piwishack'] 	= 'Открыт окно PiwiShack.';
 $lang['close_window_piwishack'] 	= 'Закрыть окно PiwiShack.';
@@ -30,6 +28,5 @@
 $lang['Post_on_a_website_dd'] 		= 'Ссылка на стандартный вид (кликабельно) для сайтов, тэги HTML.';
 $lang['Post_a_direct_link'] 		= 'Прямая ссылка на ваш файл.';
-$lang['Export_Perso_configurated'] = 'Ссылки на ваши изображения.';
-$lang['Partage_me'] 				= 'Создайте ссылку на ваше изображение.';
+$lang['Export_Perso_configurated']	= 'Создайте ссылку на ваше изображение.';
 $lang['Perso_writer_01'] 			= 'Форматирование пользователя, поле 1';
 $lang['Perso_writer_02'] 			= 'Форматирование пользователя, поле 2';
@@ -37,3 +34,5 @@
 $lang['Perso_writer_04'] 			= 'Форматирование пользователя, поле 4';
 $lang['Perso_writer_05'] 			= 'Форматирование пользователя, поле 5';
+
+// Thanks to Andrew
 ?>
Index: /extensions/piwishack/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/vi_VN/plugin.lang.php	(revision 7746)
+++ /extensions/piwishack/language/vi_VN/plugin.lang.php	(revision 7747)
@@ -19,8 +19,4 @@
 // +-----------------------------------------------------------------------+
 
-
-// vi-Vn language for Piwishask translated by  Le Duc Tho . homepage : ductho.info . 24th August 2010
-// thanks to piwigo team and plugin writer MOREAU Julien - gotcha@piwigo.org  
-
 $lang['open_window_piwishack'] 		= 'Mở cửa sổ PiwiShack';
 $lang['close_window_piwishack'] 	= 'Đóng cửa sổ PiwiShack';
@@ -32,6 +28,5 @@
 $lang['Post_on_a_website_dd'] 		= 'Chia sẻ ảnh bình thường (kích thước thật) trên WEBSITE bằng thẻ HTML.';
 $lang['Post_a_direct_link'] 		= 'Link gốc của ảnh.';
-$lang['Export_Perso_configurated'] 	= 'Chia sẻ ảnh.';
-$lang['Partage_me'] 				= 'Chia sẻ ảnh của bạn theo các điều kiện được xác định trước.';
+$lang['Export_Perso_configurated'] 	= 'Chia sẻ ảnh của bạn theo các điều kiện được xác định trước.';
 $lang['Perso_writer_01'] 			= 'Định dạng tự chọn, loại #1';
 $lang['Perso_writer_02'] 			= 'Định dạng tự chọn, loại #2';
@@ -39,3 +34,7 @@
 $lang['Perso_writer_04'] 			= 'Định dạng tự chọn, loại #4';
 $lang['Perso_writer_05'] 			= 'Định dạng tự chọn, loại #5';
+
+// vi-Vn language for Piwishask translated by  Le Duc Tho . homepage : ductho.info . 24th August 2010
+// thanks to piwigo team and plugin writer MOREAU Julien - gotcha@piwigo.org  
+
 ?>