Index: branches/2.1/language/hu_HU/admin.lang.php
===================================================================
--- branches/2.1/language/hu_HU/admin.lang.php	(revision 7746)
+++ branches/2.1/language/hu_HU/admin.lang.php	(revision 7748)
@@ -24,12 +24,12 @@
 $lang['%d association'] = '%d hozzárendelés (fizikai és virtuális)';
 $lang['%d associations'] = '%d hozzárendelés (fizikai és virtuális)';
-$lang['%d album including'] = '%d album ';
-$lang['%d albums including'] = '%d album ';
+$lang['%d category including'] = '%d kategória ';
+$lang['%d categories including'] = '%d kategória ';
 $lang['%d physical'] = '%d fizikai';
 $lang['%d physical'] = '%d fizikai';
 $lang[' and %d virtual'] = ' és %d virtuális';
 $lang[' and %d virtual'] = ' és %d virtuális';
-$lang['%d album moved'] = '%d Album áthelyezése';
-$lang['%d albums moved'] = '%d Album áthelyezése';
+$lang['%d category moved'] = '%d Kategória áthelyezése';
+$lang['%d categories moved'] = '%d Kategória áthelyezése';
 $lang['%d group'] = '%d csoport';
 $lang['%d groups'] = '%d csoport';
@@ -58,12 +58,13 @@
 $lang['Add'] = 'Hozzáadás';
 $lang['Allow user registration'] = 'Regisztráció engedélyezése';
-$lang['Apply to sub-albums'] = 'Belső albumokra is';
+$lang['Apply to subcategories'] = 'Alkategóriákra is';
 $lang['Associated'] = 'Hozzárendelve';
+$lang['Association to categories'] = 'Hozzárendelés kategóriához';
 $lang['Batch management'] = 'Csoportos kezelés';
 $lang['Caddie management'] = 'Kosár kezelése';
 $lang['Caddie'] = 'Kosár';
-$lang['Albums authorized thanks to group associations'] = 'Az albumok csoport tagsága';
-$lang['Album manual order was saved'] = 'Albumok sorrendjének mentése megtörtént';
-$lang['Album elements associated to the following albums: %s'] = 'Az album elemeinek a következő albumhoz rendelése: %s';
+$lang['Categories authorized thanks to group associations'] = 'A kategóriák csoport tagsága';
+$lang['Categories manual order was saved'] = 'Kategóriák sorrendjének mentése megtörtént';
+$lang['Category elements associated to the following categories: %s'] = 'A kategória elemeinek a következő kategóriához rendelése: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'A program frissítése ismeretlen okból nem sikerült.';
 $lang['Check for upgrade'] = 'Frissítés keresése';
@@ -103,10 +104,10 @@
 $lang['Informations'] = 'Információk';
 $lang['Install'] = 'Telepítés';
-$lang['Link all album elements to a new album'] = 'Az album összes elemének új albumhoz rendelése';
-$lang['Link all album elements to some existing albums'] = 'Az album összes elemének már meglévő albumhoz rendelése';
-$lang['Linked albums'] = 'Linkelt albumok';
+$lang['Link all category elements to a new category'] = 'A kategória összes elemének új kategóriához rendelése';
+$lang['Link all category elements to some existing categories'] = 'A kategória összes elemének már meglévő kategóriához rendelése';
+$lang['Linked categories'] = 'Linkelt kategóriák';
 $lang['Lock gallery'] = 'Galéria lezárása';
 $lang['Maintenance'] = 'Karbantartás';
-$lang['Edit album permissions'] = 'Album jogosultságainak kezelése';
+$lang['Manage permissions for a category'] = 'Kategória jogosultságainak kezelése';
 $lang['Manage permissions for group "%s"'] = '"%s" csoport jogosultságainak kezelése';
 $lang['Manage permissions for user "%s"'] = '"%s" felhasználó jogosultságainak kezelése';
@@ -114,24 +115,24 @@
 $lang['Members'] = 'Tagok';
 $lang['Metadata synchronized from file'] = 'Meta adatok fájlból történő szinkronizálása';
-$lang['Move albums'] = 'Albumok áthelyezése';
+$lang['Move categories'] = 'Kategóriák áthelyezése';
 $lang['Move'] = 'Áthelyezés';
 $lang['Name'] = 'Név';
 $lang['New name'] = 'Új név';
-$lang['New parent album'] = 'Új szülő album';
+$lang['New parent category'] = 'Új szülő kategória';
 $lang['New tag'] = 'Új címke';
 $lang['Number of comments per page'] = 'Hozzászólások száma oldalanként';
 $lang['Number of rates'] = 'Értékelések száma';
 $lang['Number of thumbnails to create'] = 'Elkészítendő bélyegképek száma';
-$lang['Only private albums are listed'] = 'Csak privát albumok megjelenítése';
+$lang['Only private categories are listed'] = 'Csak privát kategóriák megjelenítése';
 $lang['Operating system'] = 'Operációs rendszer';
 $lang['Options'] = 'Beállítások';
-$lang['Other private albums'] = 'Más privát albumok';
+$lang['Other private categories'] = 'Más privát kategóriák';
 $lang['Page banner'] = 'Oldal fejléc';
-$lang['Parent album'] = 'Szülő album';
+$lang['Parent category'] = 'Szülő kategória';
 $lang['Path'] = 'Elérési út';
 $lang['Permalink'] = 'Közvetlen link';
-$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'A(z) %s közvetlen link név korábban létrehozva a(z) %s album számára. Törölni kell a közvetlen link előzményekből.';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'A(z) %s közvetlen link név korábban létrehozva a(z) %s kategória számára. Törölni kell a közvetlen link előzményekből.';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'A közvetlen linkek a következő karakterekből állhatnak: a-z, A-Z, 0-9, "-" vagy "_". Nem kezdődhetnek számmal vagy "-" karakterrel';
-$lang['Permalink %s is already used by album %s'] = 'A(z) %s közvetlen link név a(z) %s album számára lefoglalva. Válasszon másikat!';
+$lang['Permalink %s is already used by category %s'] = 'A(z) %s közvetlen link név a(z) %s kategória számára lefoglalva. Válasszon másikat!';
 $lang['Permalink history'] = 'Közvetlen link előzmények';
 $lang['Permalinks'] = 'Közvetlen linkek';
@@ -151,10 +152,10 @@
 $lang['Reject'] = 'Elvetés';
 $lang['Representant'] = 'Reprezentál';
-$lang['Representation of albums'] = 'Albumok reprezentálása';
+$lang['Representation of categories'] = 'Kategóriák reprezentálása';
 $lang['Representative'] = 'Reprezentatív';
 $lang['Represents'] = 'Reprezentál';
 $lang['Save order'] = 'Sorrend mentése';
 $lang['Save to permalink history'] = 'Közvetlen link előzmények mentése';
-$lang['Select at least one album'] = 'Legalább egy albumot ki kell választani';
+$lang['Select at least one category'] = 'Legalább egy kategóriát ki kell választani';
 $lang['Select at least one picture'] = 'Legalább egy képet ki kell választani';
 $lang['Select at least one user'] = 'Legalább egy felhasználót ki kell választani';
@@ -163,5 +164,5 @@
 $lang['Status'] = 'Státusz';
 $lang['Statistics'] = 'Statisztika';
-$lang['Storage album'] = 'Tárolt album';
+$lang['Storage category'] = 'Tárolt kategória';
 $lang['Sum of rates'] = 'Pontszámok összege';
 $lang['Tag "%s" already exists'] = '"%s" címke már létezik!';
@@ -178,28 +179,30 @@
 $lang['Validation'] = 'Engedélyezés szükséges';
 $lang['Version'] = 'Verzió';
-$lang['Virtual albums to move'] = 'Virtuális albumok kijelölése áthelyezésre';
-$lang['Virtual album name'] = 'Virtuális album neve';
+$lang['Virtual categories movement'] = 'Virtuális kategóriák áthelyezése';
+$lang['Virtual categories to move'] = 'Virtuális kategóriák kijelölése áthelyezésre';
+$lang['Virtual category name'] = 'Virtuális kategória neve';
 $lang['Webmaster cannot be deleted'] = 'Na jó...azért a webmestert ne töröljük...';
 $lang['You are running on development sources, no check possible.'] = 'Ez egy fejlesztői változat, keresés lehetetlen.';
 $lang['You cannot delete your account'] = "Nem törölheti a fiókját";
-$lang['You cannot move an album in its own sub album'] = 'Az albumot lehetetlen a belső albumjába helyezni';
+$lang['You cannot move a category in its own sub category'] = 'A kategóriát lehetetlen az alkategóriájába helyezni';
 $lang['You need to confirm deletion'] = 'A törléshez megerősítés szükséges';
 $lang['add tags'] = 'Címke hozzáadása';
 $lang['Adviser'] = 'Tanácsadó';
-$lang['Associate to album'] = 'Hozzárendelés albumhoz';
+$lang['associate to category'] = 'Hozzárendelés kategóriához';
 $lang['associate to group'] = 'Hozzárendelés csoporthoz';
 $lang['Authorized'] = 'Engedélyezve';
-$lang['Add a virtual album'] = 'Virtuális album hozzáadása';
-$lang['Authorize users to add comments on selected albums'] = 'Hozzászólás engedélyezése a kiválasztott albumokhoz';
-$lang['The name of an album must not be empty'] = 'Az album nevét meg kell adni';
-$lang['Lock albums'] = 'Album lezárása';
-$lang['Private'] = 'Privát album';
-$lang['Public'] = 'Nyilvános album';
+$lang['Add a virtual category'] = 'Virtuális kategória hozzáadása';
+$lang['Authorize users to add comments on selected categories'] = 'Hozzászólás engedélyezése a kiválasztott kategóriákhoz';
+$lang['The name of a category should not be empty'] = 'A kategória nevét meg kell adni';
+$lang['Lock categories'] = 'Kategória lezárása';
+$lang['Private category'] = 'Privát kategória';
+$lang['Public category'] = 'Nyilvános kategória';
 $lang['Find a new representant by random'] = 'Új kategória-képviselő véletlenszerű kiválasztása';
 $lang['Public / Private'] = 'Nyilvános / Privát';
-$lang['Manage authorizations for selected albums'] = 'A kiválasztott albumok engedélyeinek kezelése';
-$lang['Select uploadable albums'] = 'Feltöltés engedélyezése a kiválasztott albumokba';
-$lang['Virtual album added'] = 'Virtuális album hozzáadva';
-$lang['Virtual album deleted'] = 'Virtuális album törölve';
+$lang['Manage authorizations for selected categories'] = 'A kiválasztott kategóriák engedélyeinek kezelése';
+$lang['Select uploadable categories'] = 'Feltöltés engedélyezése a kiválasztott kategóriákba';
+$lang['Virtual category added'] = 'Virtuális kategória hozzáadva';
+$lang['Virtual category deleted'] = 'Virtuális kategória törölve';
+$lang['Category'] = 'Kategória';
 $lang['Access type'] = 'Hozzáférés típusa';
 $lang['Comments'] = 'Hozzászólások';
@@ -212,9 +215,9 @@
 $lang['confirm'] = 'Megerősítés';
 $lang['Date'] = 'Dátum';
-$lang['delete album'] = 'Album törlése';
-$lang['Dissociate from album'] = 'Eltávolítás az albumból';
+$lang['delete category'] = 'Kategória törlése';
+$lang['dissociate from category'] = 'Eltávolítás a kategóriából';
 $lang['dissociate from group'] = 'Eltávolítás a csoportból';
-$lang['edit album permissions'] = 'Albumok hozzáféréseinek módosítása';
-$lang['Album updated successfully'] = 'Az album információinak módosítása megtörtént.';
+$lang['edit category permissions'] = 'Kategóriák hozzáféréseinek módosítása';
+$lang['Category informations updated successfully.'] = 'A kategória információinak módosítása megtörtént.';
 $lang['Authorize upload'] = 'Feltöltés engedélyezése';
 $lang['elements per page'] = 'Képek száma oldalanként';
@@ -233,11 +236,11 @@
 $lang['This name is already used by another group.'] = 'Ez a név már használatban van a másik csoportban.';
 $lang['High definition'] = 'Kiemelt hozzáférés';
-$lang['jump to album'] = 'Albumhoz ugrás';
+$lang['jump to category'] = 'Kategóriához ugrás';
 $lang['jump to image'] = 'Képhez ugrás';
 $lang['leave'] = 'Nem változtat';
 $lang['Lock'] = 'Lezárás';
 $lang['Locked'] = 'Lezárt';
-$lang['manage album elements'] = 'Album elemeinek kezelése';
-$lang['manage sub-albums'] = 'Belső albumok kezelése';
+$lang['manage category elements'] = 'Kategória elemeinek kezelése';
+$lang['manage sub-categories'] = 'Alkategóriák kezelése';
 $lang['Manage'] = 'Kezelés';
 $lang['maximum height'] = 'Maximális magasság';
@@ -349,13 +352,13 @@
 $lang['status'] = 'Státusz';
 $lang['Directory'] = 'Könyvtár';
-$lang['sub-albums'] = 'Belső albumok';
+$lang['sub-categories'] = 'Alkategóriák';
 $lang['synchronize metadata'] = 'Meta adatok szinkronizálása';
 $lang['target'] = 'Cél';
 $lang['Thumbnail'] = 'Bélyegkép';
 $lang['title'] = 'Cím';
-$lang['Album list management'] = 'Albumok kezelése';
+$lang['Categories management'] = 'Kategóriák kezelése';
 $lang['Piwigo configuration'] = 'Piwigo konfiguráció';
 $lang['Piwigo administration'] = 'Piwigo adminisztráció';
-$lang['Edit album'] = 'Album javítása';
+$lang['Edit a category'] = 'Kategória javítása';
 $lang['Group management'] = 'Csoportok kezelése';
 $lang['User list'] = 'Felhasználók listája';
@@ -385,10 +388,10 @@
 $lang['Unlocked'] = 'Zárolatlan';
 $lang['unset'] = 'Eltávolítás';
-$lang['Update albums informations'] = 'Albumok információinak frissítése';
+$lang['Update categories informations'] = 'Kategóriák információinak frissítése';
 $lang['Update images informations'] = 'Képek információinak frissítése';
 $lang['Synchronize'] = 'Szinkronizálás';
-$lang['reduce to single existing albums'] = 'Szűkítés egy már meglévő albumra';
+$lang['reduce to single existing categories'] = 'Szűkítés egy már meglévő kategóriára';
 $lang['Choose an option'] = 'Válasszon az alábbi lehetőségek közül';
-$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Összes információ megjelenítése (hozzáadott albumok és elemek, törölt albumok és elemek)';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'Összes információ megjelenítése (hozzáadott kategóriák és elemek, törölt kategóriák és elemek)';
 $lang['Piwigo version differs on the remote site'] = 'Piwigo verzió eltér a távoli oldalon';
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'A create_listing_file.php verziójának azonosnak kell lenni a távoli oldalon lévővel';
@@ -400,12 +403,12 @@
 $lang['File/directory read error'] = 'Fájl/Mappa olvasási hiba';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'A fájl vagy mappa hozzáférhetetlen (vagy nem létezik, vagy hozzáférés megtagadva)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'A képeknek rendelkezniük kell bélyegképpel. A bélyegképnek a kép mappájának \'thumbnail\' almappájában kell lennie. A bélyegkép nevének a meghatározott előtaggal kell kezdődnie, és a következő kiterjesztése lehet:';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'A képeknek rendelkezniük kell bélyegképpel. A bélyegképnek a kép mappájának "thumbnail" almappájában kell lennie. A bélyegkép nevének a meghatározott előtaggal kell kezdődnie, és a következő kiterjesztése lehet:';
 $lang['missing thumbnail'] = 'bélyegkép hiányzik';
-$lang['albums deleted in the database'] = 'album törölve az adatbázisból';
+$lang['categories deleted in the database'] = 'adatbázisból törölt kategória';
 $lang['elements deleted in the database'] = 'adatbázisból törölt elem';
 $lang['images candidates for metadata synchronization'] = 'kép meta adatainak szinkronizálása';
 $lang['elements informations synchronized with files metadata'] = 'elem meta adatainak szinkronizálása';
 $lang['errors during synchronization'] = 'hiba történt a szinkronizálás során';
-$lang['albums added in the database'] = 'album hozzáadva az adatbázishoz';
+$lang['categories added in the database'] = 'kategória hozzáadva az adatbázishoz';
 $lang['elements added in the database'] = 'elem hozzáadva az adatbázishoz';
 $lang['elements updated in the database'] = 'elem frissítve az adatbázisban';
@@ -432,5 +435,5 @@
 $lang['user_status_normal'] = 'Felhasználó';
 $lang['user_status_webmaster'] = 'Webmester';
-$lang['Virtual album'] = 'Virtuális album';
+$lang['Virtual category'] = 'Virtuális kategória';
 $lang['Waiting'] = 'Várakozó elemek';
 $lang['default'] = 'Alapértelmezett';
@@ -439,5 +442,5 @@
 $lang['Not linked elements'] = 'Nem kapcsolódó elemek';
 $lang['Specials'] = 'Speciális összetevők';
-$lang['Files with same name in more than one physical album'] = 'Keresse meg az azonos nevű fájlokat';
+$lang['Files with same name in more than one physical category'] = 'Keresse meg az azonos nevű fájlokat';
 
 $lang['Overall'] = 'Teljes';
@@ -458,8 +461,8 @@
 $lang['Send an information email to group members'] = 'Küldjön egy információs e-mailt a csoport tagjainak';
 $lang['Group'] = 'Csoport';
-$lang['[%s] Visit album %s'] = '[%s] Új képek vannak az albumban %s';
+$lang['[%s] Come to visit the category %s'] = '[%s] Új képek vannak a mappában %s';
 $lang['Hello,'] = 'Helló,';
 $lang['See you soon.'] = 'A mielőbbi viszont látásra.';
-$lang['Discover album:'] = 'Kövesse a linket és nézze meg a képeket az albumban:';
+$lang['Come to discover the category:'] = 'Kövesse a linket és nézze meg a képeket mappában:';
 $lang['Mail content'] = 'E-mail tartalma';
 $lang['none'] = 'nincs';
@@ -587,5 +590,5 @@
 $lang['Optimizations have been completed with some errors.'] = 'Néhány hiba fordult elő az optimalizáláskor.';
 $lang['Modify information'] = 'Információk módosítása';
-$lang['edit album'] = 'Album információk szerkesztése';
+$lang['edit category informations'] = 'Kategória információk szerkesztése';
 $lang['nothing'] = 'Nem';
 $lang['overrides existing values with empty ones'] = 'Felülírja a meglévő üres értékeket';
@@ -593,5 +596,5 @@
 $lang['Manage image ranks'] = 'Kép rangok kezelése';
 $lang['Edit ranks'] = 'Rangok módosítása';
-$lang['No element in this album'] = 'Nincs elem ebben az albumban';
+$lang['No element in this category'] = 'Nincs elem ebben a kategóriában';
 $lang['Images manual order was saved'] = 'Kép információk mentve';
 $lang['ranks'] = 'Rangok';
@@ -624,16 +627,16 @@
 $lang['Email administrators when a comment is deleted'] = 'Email az adminisztrátornak, ha egy hozzászólást töröltek';
 $lang['Upload Photos'] = 'Képek feltöltése';
-$lang['Drop into album'] = 'Album választás:';
+$lang['Drop into category'] = 'Kategória választás:';
 $lang['+ Add an upload box'] = '+ További képek feltöltése...';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = '"%s" könyvtár létrehozása a telepített Piwigo galériában.';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Adjon írási jogot (chmod 777) a(z) "%s" gyökerének a telepített Piwigo galériában';
-$lang['existing album'] = 'létező album';
-$lang['create a new album'] = 'új album létrehozása';
-$lang['Album name'] = 'Album neve';
-$lang['Album "%s" has been added'] = '\'%s\' album hozzáadva';
+$lang['existing category'] = 'létező kategória';
+$lang['create a new category'] = 'új kategória létrehozása';
+$lang['Category name'] = 'Kategória neve';
+$lang['Category "%s" has been added'] = '"%s" kategória hozzáadva';
 $lang['Uploaded Photos'] = 'Feltöltött képek';
 $lang['%d photos uploaded'] = '%d kép feltöltve';
 $lang['Privacy level set to "%s"'] = 'Minimum hozzáférési szint itt: "%s"';
-$lang['Album "%s" now contains %d photos'] = '\'%s\' albumban már %d kép található';
+$lang['Category "%s" now contains %d photos'] = '"%s" kategóriában már %d kép található';
 $lang['Manage this set of %d photos'] = 'Szerkessze a készlet (%d elem) képeit';
 $lang['Select files'] = 'Képek kiválasztása';
@@ -678,6 +681,6 @@
 $lang['Add write access to the "%s" directory'] = 'Adjon írási jogot a(z) "%s" könyvtárnak';
 $lang['Administration Home'] = 'Adminisztrációs oldal';
-$lang['Categories ordered alphanumerically'] = 'Az albumok ABC sorrendbe rendezve';
-$lang['Categories ordered alphanumerically reverse'] = 'Az albumok fordított ABC sorrendbe rendezve';
+$lang['Categories ordered alphanumerically'] = 'A kategóriák ABC sorrendbe rendezve';
+$lang['Categories ordered alphanumerically reverse'] = 'A kategóriák fordított ABC sorrendbe rendezve';
 $lang['Change Admin Colors'] = 'Adminisztrációs oldal színe';
 $lang['Delete this theme'] = 'Téma törlése';