Index: /extensions/Piwigodonate/index.php
===================================================================
--- /extensions/Piwigodonate/index.php	(revision 7750)
+++ /extensions/Piwigodonate/index.php	(revision 7750)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Piwigodonate/language/en_UK/description.txt
===================================================================
--- /extensions/Piwigodonate/language/en_UK/description.txt	(revision 7750)
+++ /extensions/Piwigodonate/language/en_UK/description.txt	(revision 7750)
@@ -0,0 +1,1 @@
+You like Piwigo you want to support us financially you can add a link to donate on your site in the footer
Index: /extensions/Piwigodonate/language/en_UK/index.php
===================================================================
--- /extensions/Piwigodonate/language/en_UK/index.php	(revision 7750)
+++ /extensions/Piwigodonate/language/en_UK/index.php	(revision 7750)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Piwigodonate/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Piwigodonate/language/en_UK/plugin.lang.php	(revision 7750)
+++ /extensions/Piwigodonate/language/en_UK/plugin.lang.php	(revision 7750)
@@ -0,0 +1,5 @@
+<?php
+
+$lang['Donate_to_Piwigo'] = 'Donate to Piwigo';
+
+?>
Index: /extensions/Piwigodonate/language/fr_FR/description.txt
===================================================================
--- /extensions/Piwigodonate/language/fr_FR/description.txt	(revision 7750)
+++ /extensions/Piwigodonate/language/fr_FR/description.txt	(revision 7750)
@@ -0,0 +1,1 @@
+Vous aimez Piwigo, vous souhaitez nous soutenir financièrement vous pouvez ajouter un lien donate sur votre site dans le pied de page
Index: /extensions/Piwigodonate/language/fr_FR/index.php
===================================================================
--- /extensions/Piwigodonate/language/fr_FR/index.php	(revision 7750)
+++ /extensions/Piwigodonate/language/fr_FR/index.php	(revision 7750)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Piwigodonate/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Piwigodonate/language/fr_FR/plugin.lang.php	(revision 7750)
+++ /extensions/Piwigodonate/language/fr_FR/plugin.lang.php	(revision 7750)
@@ -0,0 +1,5 @@
+<?php
+
+$lang['Donate_to_Piwigo'] = 'Faire un don à Piwigo';
+
+?>
Index: /extensions/Piwigodonate/main.inc.php
===================================================================
--- /extensions/Piwigodonate/main.inc.php	(revision 7750)
+++ /extensions/Piwigodonate/main.inc.php	(revision 7750)
@@ -0,0 +1,47 @@
+<?php
+/*
+Plugin Name: Piwigo donate
+Version: auto
+Description: Add Link on piwigo Donate
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=
+Author: ddtddt
+Author URI: http://piwigo.org/
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $prefixeTable, $conf;
+
+define('PIDO_DIR' , basename(dirname(__FILE__)));
+define('PIDO_PATH' , PHPWG_PLUGINS_PATH . PIDO_DIR . '/');
+
+add_event_handler('loc_begin_page_tail', 'Piwigodonate',5);
+add_event_handler('loc_begin_page_tail', 'PiwigodonateC');
+
+function Piwigodonate()
+ {
+	global $template;
+	$template->set_prefilter('tail', 'PiwigodonateT');
+ }
+
+function PiwigodonateT($content, &$smarty)
+ {
+  $search = '#<span class="Piwigo">Piwigo</span></a>#';
+  
+  $replacement = '<span class="Piwigo">Piwigo</span></a> - <a href="{$DONATE}" class="Piwigo">{\'Donate_to_Piwigo\'|@translate}</a>';
+
+  return preg_replace($search, $replacement, $content);
+ }
+
+function PiwigodonateC()
+ {
+ load_language('plugin.lang', PIDO_PATH);
+	global $template;
+$template->assign(
+    'DONATE', PHPWG_URL.'/donate'
+    );
+		
+ } 
+
+
+?>